#ifndef tgtxil_h
#define tgtxil_h

// IR instructions
#define XIL_USER1	0x02
#define XIL_USER2	0x03
#define XIL_IDCODE	0x09
#define XIL_USERCODE	0x08

#define CFG_OUT		0x04
#define CFG_IN		0x05
#define JPROGRAM	0x0B
#define JSTART		0x0C
#define JSHUTDOWN	0x0D

// jtag_SIR return code
#define IRS_DONE	(1<<5)
#define IRS_INIT	(1<<4)
#define IRS_ISC_ENABLE	(1<<3)
#define IRS_ISC_DONE	(1<<2)
#define IRS_CHK		(3<<0)	 // must to be 0x01

#ifdef __cplusplus
extern "C" {
#endif

int tgtxil_init (TARGET tgt, CABLE cbl, char *dev_name);

#ifdef __cplusplus
}
#endif

#endif /* tgtxil_h */
